<?php

namespace Hrm\Jobunit;

use User;

class Jobunit
{
    /**
     * $jobunit object.
     */
    protected $jobunit;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Jobunit\Interfaces\JobunitRepositoryInterface $jobunit)
    {
        $this->jobunit = $jobunit;
    }

    /**
     * Returns count of jobunit.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.jobunit.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->jobunit->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\JobunitUserCriteria());
        }

        $jobunit = $this->jobunit->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('jobunit::' . $view, compact('jobunit'))->render();
    }
}
