<?php

namespace Hrm\Jobunit\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobunitTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Jobunit\Models\Jobunit $jobunit)
    {
        return [
            'id'                => $jobunit->getRouteKey(),
            'key'               => [
                'public'    => $jobunit->getPublicKey(),
                'route'     => $jobunit->getRouteKey(),
            ], 
            'id'                => $jobunit->id,
            'user_id'           => $jobunit->user_id,
            'user_type'         => $jobunit->user_type,
            'client_id'         => $jobunit->client_id,
            'unit_id'           => $jobunit->unit_id,
            'job_id'            => $jobunit->job_id,
            'c_week_days'       => $jobunit->c_week_days,
            'c_night_time'      => $jobunit->c_night_time,
            'c_friday_night'    => $jobunit->c_friday_night,
            'c_saturday_day'    => $jobunit->c_saturday_day,
            'c_saturday_night'  => $jobunit->c_saturday_night,
            'c_sunday_day'      => $jobunit->c_sunday_day,
            'c_sunday_night'    => $jobunit->c_sunday_night,
            'c_holiday_day'     => $jobunit->c_holiday_day,
            'c_holiday_night'   => $jobunit->c_holiday_night,
            'employment_type'   => $jobunit->employment_type,
            's_week_days'       => $jobunit->s_week_days,
            's_night_time'      => $jobunit->s_night_time,
            's_friday_night'    => $jobunit->s_friday_night,
            's_saturday_day'    => $jobunit->s_saturday_day,
            's_saturday_night'  => $jobunit->s_saturday_night,
            's_sunday_day'      => $jobunit->s_sunday_day,
            's_sunday_night'    => $jobunit->s_sunday_night,
            's_holiday_day'     => $jobunit->s_holiday_day,
            's_holiday_night'   => $jobunit->s_holiday_night,
            'created_at'        => $jobunit->created_at,
            'updated_at'        => $jobunit->updated_at,
            'deleted_at'        => $jobunit->deleted_at,
            'url'               => [
                'public'    => trans_url('jobunit/'.$jobunit->getPublicKey()),
                'user'      => guard_url('jobunit/jobunit/'.$jobunit->getRouteKey()),
            ], 
            'status'            => trans('app.'.$jobunit->status),
            'created_at'        => format_date($jobunit->created_at),
            'updated_at'        => format_date($jobunit->updated_at),
        ];
    }
}